<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Page Simple</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        /* #ex {
            overflow-x: auto;
            
        } */
    </style>
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">DaHQ</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="Customer.html" class="nav-link">
                                        <i class="far fa-user nav-icon"></i>
                                        <p>Customer</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="AddressMap.html" class="nav-link active">
                                        <i class="fas fa-map nav-icon"></i>
                                        <p>Addres Map</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Constrcution.html" class="nav-link">
                                        <!-- <i class="fas fa-hard-hat"></i> -->
                                        <i class="fas fa-hard-hat nav-icon"></i>
                                        <p>Construction</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="DesignUnit.html" class="nav-link">
                                        <i class="fas fa-swatchbook nav-icon"></i>
                                        <p>Design Unit</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Investor.html" class="nav-link">

                                        <i class="fas fa-warehouse nav-icon"></i>
                                        <p>Investor</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Location.html" class="nav-link">

                                        <i class="fas fa-street-view nav-icon"></i>
                                        <p>Location</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Utilities.html" class="nav-link">

                                        <i class="fas fa-tools nav-icon"></i>
                                        <p>Utilities</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Project.html" class="nav-link">

                                        <i class="fas fa-project-diagram nav-icon"></i>
                                        <p>Project</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Realestate.html" class="nav-link">

                                        <i class="fas fa-sign nav-icon"></i>
                                        <p>Realestate</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="User.html" class="nav-link">

                                        <i class="fas fa-sign nav-icon"></i>
                                        <p>User</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>


            <!-- Main content -->
            <section class="content" id="">
                <section class="content">
                    <div class="container-fluid">
                        <div class="row" id="">
                            <div class="col-12" id="">

                                <!-- /.card -->

                                <div class="card" id="">
                                    <div class="card-header">
                                        <h3 class="card-title">DataTable with default features</h3>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <button id="btn-add" class="btn btn-success m-3">Add Address Map</button>
                                        </div>
                                    </div>
                                    <!-- /.card-header -->
                                    <div class="card-body" id="ex">

                                        <table id="example1" class="table table-bordered table-striped">
                                            <thead>
                                                <tr>
                                                    <th>STT</th>
                                                    <th>Address</th>
                                                    <th>Vĩ độ Lat</th>
                                                    <th>Kinh Độ Lng</th>
                                                    <th>Action</th>

                                                </tr>
                                            </thead>


                                        </table>
                                    </div>
                                    <!-- /.card-body -->
                                </div>
                                <!-- /.card -->
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->
                    </div>
                    <!-- /.container-fluid -->
                </section>

            </section>
            <!-- /.content -->
            <!-- modal add -->
            <div id="modal-add" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Address Map</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Address</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-add-address" placeholder="Address"
                                            class="form-control">
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Lat</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-add-lat" placeholder="lat"
                                            class="form-control">
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Lng</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-add-lng" placeholder="lng"
                                            class="form-control">
                                    </div>
                                </div>

                            </div>
                            <div class="modal-footer">
                                <button id="btn-save-add" type="button" class="btn btn-primary">Add</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end add -->


            </div>
            <!-- modal update -->
            <div id="modal-up" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Address Map update</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Address</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-up-address" placeholder="Address"
                                            class="form-control">
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Lat</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-up-lat" placeholder="lat"
                                            class="form-control">
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-4">
                                        <label for="">Lng</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" name="" id="inp-up-lng" placeholder="lng"
                                            class="form-control">
                                    </div>
                                </div>

                            </div>

                        </div>
                        <div class="modal-footer">
                            <button id="btn-save-up" type="button" class="btn btn-primary">Update</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end update -->
            <!-- modal delete -->
            <div id="modal-delete" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Address Map Delete</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <h1>Delete Address Map</h1>
                        </div>
                        <div class="modal-footer">
                            <button id="btn-save-delete" type="button" class="btn btn-primary">Delete</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end delete -->
            <!-- /.content-wrapper -->

            <footer class="main-footer">
                <div class="float-right d-none d-sm-block">
                    <b>Version</b> 3.2.0
                </div>
                <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
                reserved.
            </footer>

            <!-- Control Sidebar -->
            <aside class="control-sidebar control-sidebar-dark">
                <!-- Control sidebar content goes here -->
            </aside>
            <!-- /.control-sidebar -->
        </div>
        <!-- ./wrapper -->

        <!-- jQuery -->
        <script src="plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- DataTables  & Plugins -->
        <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="../../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
        <script src="../../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
        <script src="../../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
        <script src="../../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
        <script src="../../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
        <script src="../../plugins/jszip/jszip.min.js"></script>
        <script src="../../plugins/pdfmake/pdfmake.min.js"></script>
        <script src="../../plugins/pdfmake/vfs_fonts.js"></script>
        <script src="../../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
        <script src="../../plugins/datatables-buttons/js/buttons.print.min.js"></script>
        <script src="../../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
        <!-- AdminLTE App -->
        <script src="dist/js/adminlte.min.js"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="dist/js/demo.js"></script>

        <script>
            "use strict";
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            const gCOL_NAME = ["STT", "address", "lat", "lng", "action"]
            var gSTT = 0;
            const gBASE_URL = "http://localhost:8080/";
            // var urlParams = new URLSearchParams(window.location.search);
            // var accessToken = urlParams.get('access_token');
            var accessToken = localStorage.getItem('token');
            console.log(accessToken);
            // Lưu giá trị user_id vào LocalStorage
            localStorage.setItem('token', accessToken);
            /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
            $(document).ready(function () {
                $(function () {
                    $("#example1").DataTable({

                        // "responsive": true, "lengthChange": false, "autoWidth": false,
                        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],
                        // "scrollX": true,

                        columns: [
                            { data: gCOL_NAME[0] },
                            { data: gCOL_NAME[1] },
                            { data: gCOL_NAME[2] },
                            { data: gCOL_NAME[3] },
                            { data: gCOL_NAME[4] },


                        ],
                        columnDefs: [
                            {
                                targets: 0,
                                render: function changeStt() {
                                    return gSTT++;
                                }
                            },
                            {
                                targets: 4,
                                defaultContent: '<i class="fas fa-edit mr-3 btn-update"></i>' + '<i class="fas fa-trash-alt btn-delete"></i>'
                            }

                        ]
                    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

                });
                // $("#example1").DataTable({
                //     "scrollX": true
                // })

                onLoadDataTable();
                $("#btn-add").on("click", function () {
                    $("#modal-add").modal('show');
                    $("#btn-save-add").on("click", function () {
                        onBtnAdd();
                    })
                })

                $("#example1").on("click", ".btn-update", function () {
                    $("#modal-up").modal('show');

                    var vData = getDataRowTable(this);
                    fillDataUpdate(vData);
                    $("#btn-save-up").on("click", function () {
                        onBtnUp(vData.id);
                    })
                })

                $("#example1").on("click", ".btn-delete", function () {
                    $("#modal-delete").modal('show');
                    var vData = getDataRowTable(this);
                    $("#btn-save-delete").on("click", function () {
                        onBtnDelete(vData.id);
                    })
                })





            })
            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function onDrawData(paramData) {
                gSTT = 0;
                var vTable = $("#example1").DataTable();
                vTable.clear();
                vTable.rows.add(paramData);
                vTable.draw();
            }
            function onLoadDataTable() {
                $.ajax({
                    url: gBASE_URL + "addressMap",
                    headers: { "Authorization": "Bearer " + accessToken },
                    type: "GET",
                    success: function (paramRes) {
                        onDrawData(paramRes);
                        console.log(paramRes);
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }
                })
            }
            function onBtnAdd() {
                var vObj = {

                    address: "",
                    lat: "",
                    lng: "",

                }
                getInfo(vObj);
                console.log(vObj);
                var vCheck = validateInfo(vObj);
                if (vCheck) {
                    $.ajax({
                        url: gBASE_URL + "addressMap",
                        type: "POST",
                        headers: { "Authorization": "Bearer " + accessToken },
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        data: JSON.stringify(vObj),
                        success: function (paramRes) {
                            alert("add Address Map success!");
                            location.reload();
                        },
                        error: function (paramErr) {
                            alert(paramErr.status);
                        }
                    })
                }

            }
            function onBtnUp(paramId) {
                var vObj = {
                    lat: "",
                    lng: "",
                    address: "",

                }
                getInfoUpdate(vObj);
                console.log(vObj);


                $.ajax({
                    url: gBASE_URL + "addressMap/" + paramId,
                    type: "PUT",
                    headers: { "Authorization": "Bearer " + accessToken },
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify(vObj),
                    success: function (paramRes) {
                        alert("Update Address Map success!");
                        location.reload();
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }
                })


            }
            function onBtnDelete(paramId) {
                $.ajax({
                    url: gBASE_URL + "addressMap/" + paramId,
                    type: "DELETE",
                    headers: { "Authorization": "Bearer " + accessToken },
                    success: function (paramRes) {
                        alert("delete Address success!");
                        location.reload();
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }
                })
            }


            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
            function getInfo(paramObj) {
                paramObj.lat = $("#inp-add-lat").val();
                paramObj.lng = $("#inp-add-lng").val();
                paramObj.address = $("#inp-add-address").val();

            }
            function validateInfo(paramObj) {
                if (paramObj.address == "" || paramObj.lat == "" || paramObj.lng == "") {
                    alert("Nhập đầy đủ các trường!");
                    return false;
                }
                return true;
            }

            function getDataRowTable(paramElement) {

                var vTable = $("#example1").DataTable();
                var vRow = $(paramElement).closest("tr");
                var vData = vTable.row(vRow).data();
                return vData;
            }
            function fillDataUpdate(paramData) {
                $("#inp-up-address").val(paramData.address);
                $("#inp-up-lat").val(paramData.lat);
                $("#inp-up-lng").val(paramData.lng);

            }
            function getInfoUpdate(paramObj) {
                paramObj.lat = $("#inp-up-lat").val();
                paramObj.lng = $("#inp-up-lng").val();
                paramObj.address = $("#inp-up-address").val();
            }
        </script>

</body>

</html>